Discussion

Pega 8.1.1 - Patch Release Available!

We are excited to announce the availability of the first Pega 8.1 Platform patch release - Pega 8.1.1!

Pega 8.1.1 is available on PegaCloud and via the Digital Delivery portal. For applying the patch to systems running outside of PegaCloud, please refer to the patch application process for on-premises deployments.

Issues which were resolved in the Pega 8.1.1 Patch Release can be found here.

Background:

Back in September, with the release of Pega 8.1, we announced our shift from hotfixes to Patch Releases. The patch release program approach allows us to bundle, test, & release bug and security fixes over a given period into a cumulative patch that will be available to all customers. This new process provides value to your business through improved overall quality and better dependency management. Look for a new cumulative patch release to be made available every month.

Group Tags

Comments

Keep up to date on this post and subscribe to comments

November 16, 2018 - 8:29am

Hi,

There is no document to explain how to upgrade from 81.0 to 8.1.1

as this process will be monthly, I expect something very simple and today seems documentation points to Full upgrade process, which won't be possible monthly !

Please let us know when there will be an easy update process.

Regards

November 18, 2018 - 10:14am

Hi,

Installation of 8.1.1 failing due to incomplete package.

 [java] Exception in thread "main" org.postgresql.util.PSQLException: ERROR: relation "sqlj.jar_repository" does not exist

     [java]   Position: 21

     [java] at org.postgresql.core.v3.QueryExecutorImpl.receiveErrorResponse(QueryExecutorImpl.java:2440)

     [java] at org.postgresql.core.v3.QueryExecutorImpl.processResults(QueryExecutorImpl.java:2183)

     [java] at org.postgresql.core.v3.QueryExecutorImpl.execute(QueryExecutorImpl.java:308)

     [java] at org.postgresql.jdbc.PgStatement.executeInternal(PgStatement.java:441)

     [java] at org.postgresql.jdbc.PgStatement.execute(PgStatement.java:365)

     [java] at org.postgresql.jdbc.PgPreparedStatement.executeWithFlags(PgPreparedStatement.java:143)

     [java] at org.postgresql.jdbc.PgCallableStatement.executeWithFlags(PgCallableStatement.java:77)

     [java] at org.postgresql.jdbc.PgPreparedStatement.executeQuery(PgPreparedStatement.java:106)

     [java] at com.pega.pegarules.install.udf.loaders.PostgresUDFJarLoader.isJarLoadedPostgres(PostgresUDFJarLoader.java:155)

     [java] at com.pega.pegarules.install.udf.loaders.PostgresUDFJarLoader.installJarOnPostgres(PostgresUDFJarLoader.java:116)

     [java] at com.pega.pegarules.install.udf.loaders.PostgresUDFJarLoader.load(PostgresUDFJarLoader.java:89)

     [java] at com.pega.pegarules.install.UDFManager$AbstractUDFExecutor.loadUDFJar(UDFManager.java:346)

     [java] at com.pega.pegarules.install.UDFManager$ExecuteUDFWithOutTransaction.executeInner(UDFManager.java:291)

     [java] at com.pega.pegarules.install.UDFManager$AbstractUDFExecutor.execute(UDFManager.java:355)

     [java] at com.pega.pegarules.install.UDFManager.process(UDFManager.java:186)

     [java] at com.pega.pegarules.install.UDFManager.main(UDFManager.java:138)

 

 

Kindly help.

 

Regards,

Harinath Chakrapani.

November 20, 2018 - 5:43am
Response to HariC982

Pega Platform requires Java user-defined functions (UDFs). To work with PostgreSQL, UDFs require the PL/Java add-on for PostgreSQL and a new dedicated schema. The new schema, called SQLJ, is defined for thePega Platform database.For PostgreSQL 9.3 and later, the PL/Java module is included in the Pega Platform resource kit. Before youinstall the Pega Platform, install the version of PL/JAVA included in your resource kit. If you do not install and configure PL/Java before you attempt to install the Pega Platform, the Pega Platform installation fails.

Refer to the appropriate installation guide for App server and DB you are using at https://community.pega.com/knowledgebase/products/platform

For example https://community.pega.com/knowledgebase/documents/pega-platform-81-installation-guide-apache-tomcat-and-postgresql is the link for Tomcat and Postgres and there is a section on "Installing PL/Java for Java user-defined functions" beginning on page 14 of the document which you need to follow to address this issue.

December 6, 2018 - 11:49am
Response to HariC982

Hello colleague,

Pega Platform requires Java user-defined functions (UDFs). To work with PostgreSQL, UDFs require the PL/Java add-on for PostgreSQL and a new dedicated schema. The new schema, called SQLJ, is defined for thePega Platform database.For PostgreSQL 9.3 and later, the PL/Java module is included in the Pega Platform resource kit. Before youinstall the Pega Platform, install the version of PL/JAVA included in your resource kit. If you do not install and configure PL/Java before you attempt to install the Pega Platform, the Pega Platform installation fails.

Refer to the appropriate installation guide for App server and DB you are using at https://community.pega.com/knowl...

For example https://community.pega.com/knowl... is the link for Tomcat and Postgres and there is a section on "Installing PL/Java for Java user-defined functions" beginning on page 14 of the document which you need to follow to address this issue.

November 20, 2018 - 1:51am

Hi,

 

I could not find this cumulative update as a download anywhere just the full 8.1.1 version? Can you please let me know where the update package can be found?

 

regards,

Leo

Pega
November 27, 2018 - 4:18pm
Response to LDEBLAAUW

Hey Leo,

As of Pega Infinity, we removed the need for 2 separate distributions (1 for full install and 1 for updates).

There is now a single 8.1.x distribution which can be used to perform a cumulative, dynamic upgrade and/or a fresh, full install.

Please feel free to reach out via direct message if you have any questions.

Thanks,

Matt